require 'minitest/spec'
require 'minitest/autorun'
require 'csv2qti'
require_relative 'fixtures/quiz_questions'

describe Csv2qti::MultipleChoice do

  subject { Csv2qti::MultipleChoice.new(QuestionFixtures::MC) }

  it "pulls out the stem" do
    subject.stem.must_equal "Human eye color is a ____ trait."
  end

  it "pulls out the answer" do
    subject.answer.must_equal "polygenic"
  end

  it "pulls out the distractors" do
    subject.distractors.must_equal ["epistatic", "epigenetic."]
  end

end