require 'minitest/spec'
require 'minitest/autorun'
require 'csv2qti'
require_relative 'fixtures/quiz_questions'

describe Csv2qti::MultipleSelect do

  subject { Csv2qti::MultipleSelect.new(QuestionFixtures::MS) }

  it "pulls out the answers" do
    subject.answers.must_equal ['Helper', 'chains', 'Lower energies']
  end

  it "pulls out the distractors" do
    subject.distractors.must_equal ["force a reaction", "Increase energy"]
  end

end