require 'minitest/spec'
require 'minitest/autorun'
require 'csv2qti'
require_relative 'fixtures/quiz_questions'

describe Csv2qti::Outcome do

  subject { Csv2qti::Outcome.new(QuestionFixtures::IMAGE) }

  it "pulls out number" do
    subject.number.must_equal '8.2'
  end

  it "pulls out the title" do
    subject.title.must_equal "Genetics and Disease"
  end

  it "pulls out the description" do
    subject.description.must_equal "Explain the conventions..."
  end

  it "pulls out the license" do
    subject.license.must_equal "CC BY"
  end

  it "pulls out the GUID" do
    subject.guid.must_equal "a0db89e6-9afe-4864-ac7b-29843833595e"
  end

end